inttf NVIDIA 340.xx, 390.xx, 418.xx, 435.xx Patcher for Kernel 5.18/5.17/5.16/5.15/5.14/5.13 [BASH Script] - Comment Page: 6

This is a BASH script, which download NVIDIA installer, extract it, patch it and make new patched installer package. This is very quickly tested alpha version so if you have any problems please let me know or if this works as it should you can also let me know. I use here currently ARCH Linux Patches + my own patches. Currently this works with NVIDIA 340.108 / 390.151 / 418.113 / 435.21 drivers and latest 5.18, 5.17, 5.16, 5.15, 5.14, 5.13, 5.12, 5.11, 5.10 and 5.9 kernels. This should work with any distribution. You just need install wget and patch packages. Check video version of guide: Watch More Videos and Subscribe to if-not-true-then-false.com Youtube Channel Download and Use...

176 comments on “inttf NVIDIA 340.xx, 390.xx, 418.xx, 435.xx Patcher for Kernel 5.18/5.17/5.16/5.15/5.14/5.13 [BASH Script] - Comment Page: 6

1 4 5 6 7
    1. Good morning, friend, I had success in POP! OS 20.04, but with some changes in this method despite the fact that Patcher for Kernel 5.13, 5.12 will not come, I only had success with 5.16, and another one my card is older and the legase system and its method does not explain how to face- I only managed to get it with a lot of tries, even so thank you very much. If you have Patcher for Kernel 5.13, 5.12 subscribe to the next package. Thank you very much.

      Reply
    2. You are awesome! Thanks A LOT for patch script!

      I am so log searching same for my old gf9800gtx

      Reply
    3. Hi! Thanks for the patch. It made my old GT310M work again on Fedora 36. However, I’m encountering a problem with nvidia-settings app:
      `nvidia-settings: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory`
      How can I resolve this ?

      Reply
    4. Good evening, would you have the NVIDIA 340.108 patch for kernel 5.13/5.12, so that I can use it on Linux Unbuntu 20.04 LTS, thank you very much in advance. My Email giezedm@yahoo.com.br if you can send it to this email I will be grateful. Thank you very much.

      Reply
      • Hello Gieze,

        It should work for you even it says patched for kernel 5.17. Try it, if it fail, then let me know.

        Reply
    5. Do you have any suggestion for FX 5500 with Linux fedora 5.17.9-300.fc36.x86_64 I tried downloading the Script NVIDIA-Linux-x86_64-304.237.run but no luck

      Reply
    6. Thanks for doing this. You’re keeping my old Dell precision alive.

      Reply
      • Hello Procenko,

        Thanks, added 5.18 patches for 340.108 and 390.151.

        Reply
    7. It works perfectly for me (and that’s the only way I’ve found to get *ubuntu working on an outdated Apple iMac!). Thanks!

      Zorin OS 16.1 Lite on iMac late 2009
      iMac10,1 – Core 2 Duo 3GHz, 16GB RAM, SSD Crucial CT525MX3
      Nvidia Geforce 9400 – driver version 340.108
      5.13.0-44-generic #49~20.04.1-Ubuntu SMP

      Reply
    8. Greetings! Geesh! 5.18 is already out now! They just keep coming!
      I’ve been using your script for a long time and I am curious.
      Please forgive my poor understanding but I have looked at the patches.
      Each one for each new kernel needs custom made and every one is different from the other.
      Why is this? I mean, the code for the NVIDIA driver has been the same for years but it seems
      the way to insert/hack it into each new kernel is always totally different.
      It would be so great if there was a way to make a script that automated the process of doing
      each new kernel but it seems that each new one needs to be examined and custom built.
      Is there a way to describe the process you go through to do this?
      As usual, your work has been extremely helpful – without it, my laptop would be useless.
      Looking forward to 5.18 next, onward and forward. 8)

      Reply
    9. Hi JR,
      thank’s for your job,
      is it also possible to implement the 470.129.06 driver for my 720gt?

      Thanks A LOT!

      Reply
      • Hi Mauro,

        Do you have some problem with latest 470.xx drivers?

        Reply
    10. Dear JR,

      OK, I upgraded f35 to f36 yesterday, when the kernel was 5.17, using your excellent instructions. Worked like a charm. Now today kernel-5.18 arrived, so I followed your above instructions to create
      NVIDIA-Linux-x86_64-390.151-patched-kernel-5.18.run, but now, when I try running this script in run-level 3 it complains that it’s not in gzip format. So what should I do? What mistake did I make?

      Reply
      • Hello Alexander,

        Thank you for the log. Add following to /etc/X11/xorg.conf:

        Section "ServerFlags"
          Option "IgnoreABI" "1"
        EndSection

        Then it should work, based on Xorg log.

        Reply
        • Awsome! You are wizard! All works now!

          ps but why do not see all comments here on desktop, but on android i can see all

          Reply
    11. oh, dear JR,

      Please forget my most recent comment. I made a dumb mistake. Your instructions worked like a charm now, with 5.18 kernel.

      Thanks so much.

      Reply
      • Excellent Peter, nice to hear that it’s still working!

        Reply
1 4 5 6 7

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Exit mobile version
Close